| Home | Libraries | People | FAQ | More

## Struct template as_zero<T, std_valarray_tag>

boost::numeric::functional::as_zero<T, std_valarray_tag>

## Synopsis

    // In header: <boost/accumulators/numeric/functional/valarray.hpp>

    template<typename T>
    struct as_zero<T, std_valarray_tag> : public std::unary_function< T, remove_const< T >::type > {

      // public member functions
      remove_const< T >::type operator()(T &) const;
    };

## Description

### `as_zero` public member functions

1.     remove_const< T >::type operator()(T & arr) const;